package speiger.src.coreengine.rendering.guiOld.components.menu;

public class MenuTextComponent extends MenuItemComponent
{

	public MenuTextComponent(String name)
	{
		super(name);
		clearFlag(FLAG_SUPPORT_BINDING);
	}
	
	public MenuTextComponent(float x, float y, float width, float height, String name)
	{
		super(x, y, width, height, name);
	}

	@Override
	public boolean isValidButton(int button)
	{
		return false;
	}
	
	@Override
	public boolean isComponentColliding(int mouseX, int mouseY)
	{
		return false;
	}
	
	@Override
	protected boolean renderSelf(int mouseX, int mouseY, float particalTicks)
	{
		float minX = getBox().getMinX(0.2F);
		float minY = getBox().getMinY(0.2F);
		float maxX = Math.max(getBox().getMaxX(), minX + boxWidth);
		float maxY = getBox().getMaxY(-0.2F);
		getRenderer().drawQuad(minX, minY, maxX, maxY, color).setBrightness(0.5F).drawFrame(minX, minY, maxX, maxY, color);
		return true;
	}
}
